function ImpalaVehicle::door0Clicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() && vectorDist(%position, !%client.player.getEyeTransform()) > 5)
		return;
	%time = getSimTime();		//Prevent rapid activation. Each door has its own timer.
	if((%time - %veh.doortime[door0]) <= 100)
		return;
	%veh.doortime[door0] = %time;
	
	
	
	if(getSubStr(%veh.doorsSide, 2, 1) $= "c")	
	{
			%veh.doorsSide = strreplace(%veh.doorsSide, "flc", "flo"); 
//			echo(%veh.doorsSide);
			%veh.playthread(0, %veh.doorsSide);
//			%veh.playAudio(2, BlockoSedandooropen)		
	}	
	else
	{		
			%veh.doorsSide = strreplace(%veh.doorsSide, "flo", "flc");
//			echo(%veh.doorsSide);
			%veh.playthread(0, %veh.doorsSide);
//			%veh.playAudio(2, BlockoSedandoorclose);
	}
	return 1;
}

function ImpalaVehicle::door1Clicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() && vectorDist(%position, !%client.player.getEyeTransform()) > 5)
		return;
	%time = getSimTime();		
	if((%time - %veh.doortime[door1]) <= 100)
		return;
	%veh.doortime[door1] = %time;
	
	
	
	if(getSubStr(%veh.doorsSide, 6, 1) $= "c")
	{		
			%veh.doorsSide = strreplace(%veh.doorsSide, "frc", "fro");
//			echo(%veh.doorsSide);
			%veh.playthread(0, %veh.doorsSide);
//			%veh.playAudio(2, BlockoSedandooropen)
	}	
	else
	{		
			%veh.doorsSide = strreplace(%veh.doorsSide, "fro", "frc");
//			echo(%veh.doorsSide);
			%veh.playthread(0, %veh.doorsSide);
//			%veh.playAudio(2, BlockoSedandoorclose);
	}
	return 1;
}

function ImpalaVehicle::hoodClicked(%this, %veh, %client, %offset, %position, %vector)
{
	//if(%client.player.isMounted() && vectorDist(%position, !%client.player.getEyeTransform()) > 5)
	//	return;
	
	%time = getSimTime();		//Prevent rapid activation. Each door has its own timer.
	if((%time - %veh.doortime[hood]) <= 100)
		return;
	%veh.doortime[hood] = %time;
	
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(isObject(%client.player) && !%client.player.isMounted() && %veh.speed < 1)
	{	//Hood is closed, and the player is outside the vehicle AND the vehicle is stopped.	
	if(getSubStr(%veh.doorsOther, 1, 1) $= "c")
	{			
			%veh.doorsOther = strreplace(%veh.doorsOther, "hc", "ho");
			%veh.playthread(1, %veh.doorsOther);
//			echo(%veh.doorsSide);
//			%veh.playAudio(3, BlockoSedanhoodopen);		
	}		
	else
	{			
			%veh.doorsOther = strreplace(%veh.doorsOther, "ho", "hc");
			%veh.playthread(1, %veh.doorsOther);
//			echo(%veh.doorsSide);
//			%veh.playAudio(3, BlockoSedanhoodclose);
	}
	}
	return 1;
}

function ImpalaVehicle::trunkClicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() && vectorDist(%position, !%client.player.getEyeTransform()) > 5)
		return;
	
	%time = getSimTime();		//Prevent rapid activation. Each door has its own timer.
	if((%time - %veh.doortime[trunk]) <= 100)
		return;
	%veh.doortime[trunk] = %time;
	
	
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(isObject(%client.player) && !%client.player.isMounted() && %veh.speed < 1)
	{	
	if(getSubStr(%veh.doorsOther, 4, 1) $= "c")
	{			
			%veh.doorsOther = strreplace(%veh.doorsOther, "tc", "to");
//			echo(%veh.doorsOther);
			%veh.playthread(1, %veh.doorsOther);
//			%veh.playAudio(3, BlockoSedantrunkopen);		
	}		
	else
	{			
			%veh.doorsOther = strreplace(%veh.doorsOther, "to", "tc");
//			echo(%veh.doorsOther);
			%veh.playthread(1, %veh.doorsOther);
//			%veh.playAudio(3, BlockoSedantrunkclose);
	}
	}
	return 1;
}

//function ImpalaVehicle::horn(%this, %veh, %val)
//{
//	if(%val)
//	{
//		%time = getSimTime();
//		if((%time - %veh.honktime) <= 100)
//			return;
//		%veh.honktime = %time;
//		
//		%veh.playAudio(2, BlockoSedanhornloop);
//		%veh.hornactive = 1;
//		%veh.hornStopSchedule = %this.schedule(500, horn, %veh, 0);
//	}
//	else if(%veh.hornactive)
//	{
//		%veh.honktime = getSimTime();
//		%veh.playAudio(2, BlockoSedanhornstop);
//		%veh.hornactive = 0;
//		cancel(%veh.hornStopSchedule);
//	}
//}
//