datablock WheeledVehicleTire(ImpalaTire)
{
	shapeFile = "./shapes/roadwheel.dts";
	
	mass = 10;
	radius = 1;
	staticFriction = 3;
	kineticFriction = 3;
	restitution = 0.5;	

	lateralForce = 10000;
	lateralDamping = 1000;
	lateralRelaxation = 1;

	longitudinalForce = 15000;
	longitudinalDamping = 1000;
	longitudinalRelaxation = 1;
};

datablock WheeledVehicleTire(RoadTire : ImpalaTire)
{
	shapeFile = "./shapes/roadwheel.dts";
};

datablock WheeledVehicleTire(DDishTire : ImpalaTire)
{
	shapeFile = "./shapes/mwheel.dts";
	
};

datablock WheeledVehicleTire(KeyStoneTire : ImpalaTire)
{
	shapeFile = "./shapes/KSwheel.dts";
	
};

datablock WheeledVehicleTire(CragarTire : ImpalaTire)
{
	shapeFile = "./shapes/CRwheel.dts";
	
};

datablock WheeledVehicleTire(ClassicTire : ImpalaTire)
{
	shapeFile = "./shapes/CLwheel.dts";
	
};

datablock WheeledVehicleTire(MercuryTire : ImpalaTire)
{
	shapeFile = "./shapes/MCwheel.dts";
	
};

datablock WheeledVehicleTire(TrainTire : ImpalaTire)
{
	shapeFile = "./shapes/Fwheel.dts";
	
};

datablock WheeledVehicleTire(MagnumTire : ImpalaTire)
{
	shapeFile = "./shapes/MGwheel.dts";

};

datablock WheeledVehicleSpring(ImpalaSpring)
{
	length = 0.5;
	force = 3000;
	damping = 300;
	antiSwayForce = 0;
};

// datablock WheeledVehicleSpring(Emperor80HeavySpring)
// {
	// length = 0.5;
	// force = 4000;
	// damping = 400;
	// antiSwayForce = 0;
// };